Bug 1869810 - Please build python-keyring for EPEL 8
Summary: Please build python-keyring for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-keyring
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Tubbs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-18 17:25 UTC by Robert Scheck
Modified: 2020-09-25 16:29 UTC (History)
6 users (show)

Fixed In Version: python-keyring-21.3.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 16:29:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Robert Scheck 2020-08-18 17:25:15 UTC
Description of problem:
Please build python-keyring for EPEL 8.

Version-Release number of selected component (if applicable):
python-keyring-21.3.0-1.fc33

Actual results:
No python-keyring in EPEL 8.

Expected results:
python-keyring-21.3.0-1.el8 - or better ;-)

Additional info:
Please let me know if you are not interested in maintaining the package on EPEL 8 branch.

Comment 1 Christopher Tubbs 2020-08-18 18:43:42 UTC
(In reply to Robert Scheck from comment #0)

> Additional info:
> Please let me know if you are not interested in maintaining the package on
> EPEL 8 branch.

I don't run any EL-based systems, so I wouldn't be able to reliably test EPEL packages. I'm happy to help out with keeping the package up-to-date, if the specfile doesn't diverge much from what's maintained in rawhide, but I'd prefer to add a co-maintainer to help out with it can be tested by somebody who actually uses it.

Comment 2 Christopher Tubbs 2020-08-18 18:51:21 UTC
I did `fedpkg request-branch epel8` and got:

https://pagure.io/releng/fedora-scm-requests/issue/27638
https://pagure.io/releng/fedora-scm-requests/issue/27639

Let me know if you want to be co-maintainer and I can add you in src.fedoraproject.org if you give me your FAS id.

Comment 3 Robert Scheck 2020-09-10 22:40:49 UTC
I'm not keen on getting a co-maintainer...but if it helps; FAS name: robert

Comment 4 Fedora Update System 2020-09-11 02:30:28 UTC
FEDORA-EPEL-2020-7e5fbe5e90 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7e5fbe5e90

Comment 5 Christopher Tubbs 2020-09-11 02:32:54 UTC
(In reply to Robert Scheck from comment #3)
> I'm not keen on getting a co-maintainer...but if it helps; FAS name: robert

I'm happy to do most of the maintenance; I just can't tell if something breaks because I don't have means to do live testing in a RHEL or CentOS 8 workstation. So, I just would feel more comfortable having another person "watch my back", so to speak, with respect to this package's health in EPEL8. I've granted your FAS id privileges.

I have produced an initial build. Let me know if it is suitable.

Comment 6 Fedora Update System 2020-09-11 15:45:24 UTC
FEDORA-EPEL-2020-7e5fbe5e90 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7e5fbe5e90

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-25 16:29:10 UTC
FEDORA-EPEL-2020-7e5fbe5e90 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.